(function ($) {

Drupal.behaviors.gamertagsSettings = {
  attach: function (context, settings) {
    $("input[name^=gamertags_collect_]", context).each(function() {
      if ($(this).is(':checked')) {
        Drupal.showGamertagsSettings($(this).attr('name'));
      }
      else {
        Drupal.hideGamertagsSettings($(this).attr('name'), true);
      }
    }).click(function () {
      if ($(this).is(':checked')) {
        Drupal.showGamertagsSettings($(this).attr('name'));
      }
      else {
        Drupal.hideGamertagsSettings($(this).attr('name'), false);
      }
      if ($("input[name^=gamertags_collect_]:checked", context).length == 0) {
        $("div#gamertags_message").addClass('gamertags-error').text(Drupal.t("No Gamertags are set to be displayed."));
      }
      else if ($("input[name^=gamertags_collect_]:checked", context).length != 0) {
        $("div#gamertags_message").removeClass('gamertags-error').text('');
      }
    });
  }
}

Drupal.gamertagsReturnDiv = function(name) {
  switch (name) {
    case 'gamertags_collect_xbox':
      return [
        "div.form-item-gamertags-xbox-url",
        "div.form-item-gamertags-mygamercard-url",
      ]
    case 'gamertags_collect_psn':
      return [
        "div.form-item-gamertags-psn-eu-url",
        "div.form-item-gamertags-psn-us-url",
      ]
    case 'gamertags_collect_wii':
      return [
        "div.form-item-gamertags-wii-url",
      ]
    case 'gamertags_collect_steam':
      return [
        "div.form-item-gamertags-steam-url",
      ]
    default:
      return [];
  }
}

Drupal.hideGamertagsSettings = function(name, justHide) {
  var divs = Drupal.gamertagsReturnDiv(name);
  for (x in divs) {
    if (justHide) {
      $(divs[x]).css('display', 'none');
    }
    else {
      $(divs[x]).hide('slow');
    }
  }
}

Drupal.showGamertagsSettings = function(name) {
  var divs = Drupal.gamertagsReturnDiv(name);
  for (x in divs) {
    $(divs[x]).show('slow');
  }
}

})(jQuery);