<?php

/**
 * @file
 * Views specific include file for implementing Gamertag handler.
 */

/**
 * Field handler for Gamertags.
 */
class views_handler_field_user_gamertags extends views_handler_field {
  function construct() {
    parent::construct();
  }
  function option_definition() {
    $options = parent::option_definition();

    $options['gamertags_as_text'] = array(
      'default' => FALSE,
    );

    return $options;
  }
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['gamertags_as_text'] = array(
      '#type' => 'checkbox',
      '#title' => t('Show gamertag as text only'),
      '#default_value' => $this->options['gamertags_as_text'],
      '#description' => t('Only show the user input text for their gamertag ID, not their actual gamercard.'),
    );
  }
  function render($values) {
    $data = unserialize($values->users_data);

    $account = new stdClass();
    $account->data = array();

    switch ($this->field) {
      case 'gamertag_xbox':
        $account->data['xbox_gamertag'] = $data['xbox_gamertag'];
        break;
      case 'gamertag_psn':
        $account->data['psn_gamertag'] = $data['psn_gamertag'];
        $account->data['psn_region'] = $data['psn_region'];
        break;
      case 'gamertag_wii':
        $account->data['wii_gamertag'] = $data['wii_gamertag'];
        break;
      case 'gamertag_steam':
        $account->data['steam_gamertag'] = $data['steam_gamertag'];
        break;
      case 'gamertags':
        $account->data['xbox_gamertag'] = $data['xbox_gamertag'];
        $account->data['psn_gamertag'] = $data['psn_gamertag'];
        $account->data['psn_region'] = $data['psn_region'];
        $account->data['wii_gamertag'] = $data['wii_gamertag'];
        $account->data['steam_gamertag'] = $data['steam_gamertag'];
        break;
    }

    return theme('gamertags_all', array('account' => $account, 'as_text' => $this->options['gamertags_as_text']));
  }
} // gamertags_views_handler_field_gamertags
