<?php

/**
 * @file
 * Theme implementation to show ALL Gamertags.
 * 
 * Available variables:
 * - $account: The users entire Drupal account.
 * - $as_text: FALSE if the gamertags are Gamertags, TRUE if they just contain the User IDs for each platform (i.e. AS TEXT).
 * - $gamertags: An array containing all the users Gamertags.
 * - - $gamertags['xbox']['#value']: The users Xbox Gamertag.
 * - - $gamertags['psn']['#value']: The users Playstation Gamertag.
 * - - $gamertags['psn']['#region']: The region the user is located in (only valid for Playstation).
 * - - $gamertags['wii']['#value']: The users Wii Gamertag.
 * - - $gamertags['steam']['#value']: The users Steam Gamertag.
 *
 * If you're not bothered about rendering the gamertags as list items, place this file in your theme folder
 * and replace all the code below simply with;
 *
 * <?php print drupal_render($gamertags) ?>
 *
 * If you do this it would also make sense to override the individual Gamertag templates as well, as this is
 * where this template gets its information from.
 *
 * @see gamertags_preprocess_gamertags_all()
 */
?>
<ul id="gamertags-all">
<?php foreach (element_children($gamertags) as $platform) : ?>
  <li class="gamertag-<?php print $platform ?>"><?php print drupal_render($gamertags[$platform]) ?></li>
<?php endforeach; ?>
</ul>